Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/117
Addresses2,048
/64 networksPart of one
Network
2c19:dd:c25:c25:dd:dd:dd:8000/117
First address
2c19:dd:c25:c25:dd:dd:dd:8000
Last address
2c19:dd:c25:c25:dd:dd:dd:87ff
Addresses
2,048
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0c25:0c25:00dd:00dd:00dd:8000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
0.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
1.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
2.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
3.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
4.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
5.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
6.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
7.8.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
/117 is not on a 4-bit boundary, so it takes 8 /120 zones.
Split into smaller subnets/124

2c19:dd:c25:c25:dd:dd:dd:8000/117 makes 128 subnets of /124.

Subnets
#SubnetLast address
12c19:dd:c25:c25:dd:dd:dd:8000/1242c19:dd:c25:c25:dd:dd:dd:800f
22c19:dd:c25:c25:dd:dd:dd:8010/1242c19:dd:c25:c25:dd:dd:dd:801f
32c19:dd:c25:c25:dd:dd:dd:8020/1242c19:dd:c25:c25:dd:dd:dd:802f
42c19:dd:c25:c25:dd:dd:dd:8030/1242c19:dd:c25:c25:dd:dd:dd:803f
52c19:dd:c25:c25:dd:dd:dd:8040/1242c19:dd:c25:c25:dd:dd:dd:804f
62c19:dd:c25:c25:dd:dd:dd:8050/1242c19:dd:c25:c25:dd:dd:dd:805f
72c19:dd:c25:c25:dd:dd:dd:8060/1242c19:dd:c25:c25:dd:dd:dd:806f
82c19:dd:c25:c25:dd:dd:dd:8070/1242c19:dd:c25:c25:dd:dd:dd:807f
92c19:dd:c25:c25:dd:dd:dd:8080/1242c19:dd:c25:c25:dd:dd:dd:808f
102c19:dd:c25:c25:dd:dd:dd:8090/1242c19:dd:c25:c25:dd:dd:dd:809f
112c19:dd:c25:c25:dd:dd:dd:80a0/1242c19:dd:c25:c25:dd:dd:dd:80af
122c19:dd:c25:c25:dd:dd:dd:80b0/1242c19:dd:c25:c25:dd:dd:dd:80bf
132c19:dd:c25:c25:dd:dd:dd:80c0/1242c19:dd:c25:c25:dd:dd:dd:80cf
142c19:dd:c25:c25:dd:dd:dd:80d0/1242c19:dd:c25:c25:dd:dd:dd:80df
152c19:dd:c25:c25:dd:dd:dd:80e0/1242c19:dd:c25:c25:dd:dd:dd:80ef
162c19:dd:c25:c25:dd:dd:dd:80f0/1242c19:dd:c25:c25:dd:dd:dd:80ff
172c19:dd:c25:c25:dd:dd:dd:8100/1242c19:dd:c25:c25:dd:dd:dd:810f
182c19:dd:c25:c25:dd:dd:dd:8110/1242c19:dd:c25:c25:dd:dd:dd:811f
192c19:dd:c25:c25:dd:dd:dd:8120/1242c19:dd:c25:c25:dd:dd:dd:812f
202c19:dd:c25:c25:dd:dd:dd:8130/1242c19:dd:c25:c25:dd:dd:dd:813f
212c19:dd:c25:c25:dd:dd:dd:8140/1242c19:dd:c25:c25:dd:dd:dd:814f
222c19:dd:c25:c25:dd:dd:dd:8150/1242c19:dd:c25:c25:dd:dd:dd:815f
232c19:dd:c25:c25:dd:dd:dd:8160/1242c19:dd:c25:c25:dd:dd:dd:816f
242c19:dd:c25:c25:dd:dd:dd:8170/1242c19:dd:c25:c25:dd:dd:dd:817f
252c19:dd:c25:c25:dd:dd:dd:8180/1242c19:dd:c25:c25:dd:dd:dd:818f
262c19:dd:c25:c25:dd:dd:dd:8190/1242c19:dd:c25:c25:dd:dd:dd:819f
272c19:dd:c25:c25:dd:dd:dd:81a0/1242c19:dd:c25:c25:dd:dd:dd:81af
282c19:dd:c25:c25:dd:dd:dd:81b0/1242c19:dd:c25:c25:dd:dd:dd:81bf
292c19:dd:c25:c25:dd:dd:dd:81c0/1242c19:dd:c25:c25:dd:dd:dd:81cf
302c19:dd:c25:c25:dd:dd:dd:81d0/1242c19:dd:c25:c25:dd:dd:dd:81df
312c19:dd:c25:c25:dd:dd:dd:81e0/1242c19:dd:c25:c25:dd:dd:dd:81ef
322c19:dd:c25:c25:dd:dd:dd:81f0/1242c19:dd:c25:c25:dd:dd:dd:81ff
332c19:dd:c25:c25:dd:dd:dd:8200/1242c19:dd:c25:c25:dd:dd:dd:820f
342c19:dd:c25:c25:dd:dd:dd:8210/1242c19:dd:c25:c25:dd:dd:dd:821f
352c19:dd:c25:c25:dd:dd:dd:8220/1242c19:dd:c25:c25:dd:dd:dd:822f
362c19:dd:c25:c25:dd:dd:dd:8230/1242c19:dd:c25:c25:dd:dd:dd:823f
372c19:dd:c25:c25:dd:dd:dd:8240/1242c19:dd:c25:c25:dd:dd:dd:824f
382c19:dd:c25:c25:dd:dd:dd:8250/1242c19:dd:c25:c25:dd:dd:dd:825f
392c19:dd:c25:c25:dd:dd:dd:8260/1242c19:dd:c25:c25:dd:dd:dd:826f
402c19:dd:c25:c25:dd:dd:dd:8270/1242c19:dd:c25:c25:dd:dd:dd:827f
412c19:dd:c25:c25:dd:dd:dd:8280/1242c19:dd:c25:c25:dd:dd:dd:828f
422c19:dd:c25:c25:dd:dd:dd:8290/1242c19:dd:c25:c25:dd:dd:dd:829f
432c19:dd:c25:c25:dd:dd:dd:82a0/1242c19:dd:c25:c25:dd:dd:dd:82af
442c19:dd:c25:c25:dd:dd:dd:82b0/1242c19:dd:c25:c25:dd:dd:dd:82bf
452c19:dd:c25:c25:dd:dd:dd:82c0/1242c19:dd:c25:c25:dd:dd:dd:82cf
462c19:dd:c25:c25:dd:dd:dd:82d0/1242c19:dd:c25:c25:dd:dd:dd:82df
472c19:dd:c25:c25:dd:dd:dd:82e0/1242c19:dd:c25:c25:dd:dd:dd:82ef
482c19:dd:c25:c25:dd:dd:dd:82f0/1242c19:dd:c25:c25:dd:dd:dd:82ff
492c19:dd:c25:c25:dd:dd:dd:8300/1242c19:dd:c25:c25:dd:dd:dd:830f
502c19:dd:c25:c25:dd:dd:dd:8310/1242c19:dd:c25:c25:dd:dd:dd:831f
512c19:dd:c25:c25:dd:dd:dd:8320/1242c19:dd:c25:c25:dd:dd:dd:832f
522c19:dd:c25:c25:dd:dd:dd:8330/1242c19:dd:c25:c25:dd:dd:dd:833f
532c19:dd:c25:c25:dd:dd:dd:8340/1242c19:dd:c25:c25:dd:dd:dd:834f
542c19:dd:c25:c25:dd:dd:dd:8350/1242c19:dd:c25:c25:dd:dd:dd:835f
552c19:dd:c25:c25:dd:dd:dd:8360/1242c19:dd:c25:c25:dd:dd:dd:836f
562c19:dd:c25:c25:dd:dd:dd:8370/1242c19:dd:c25:c25:dd:dd:dd:837f
572c19:dd:c25:c25:dd:dd:dd:8380/1242c19:dd:c25:c25:dd:dd:dd:838f
582c19:dd:c25:c25:dd:dd:dd:8390/1242c19:dd:c25:c25:dd:dd:dd:839f
592c19:dd:c25:c25:dd:dd:dd:83a0/1242c19:dd:c25:c25:dd:dd:dd:83af
602c19:dd:c25:c25:dd:dd:dd:83b0/1242c19:dd:c25:c25:dd:dd:dd:83bf
612c19:dd:c25:c25:dd:dd:dd:83c0/1242c19:dd:c25:c25:dd:dd:dd:83cf
622c19:dd:c25:c25:dd:dd:dd:83d0/1242c19:dd:c25:c25:dd:dd:dd:83df
632c19:dd:c25:c25:dd:dd:dd:83e0/1242c19:dd:c25:c25:dd:dd:dd:83ef
642c19:dd:c25:c25:dd:dd:dd:83f0/1242c19:dd:c25:c25:dd:dd:dd:83ff
652c19:dd:c25:c25:dd:dd:dd:8400/1242c19:dd:c25:c25:dd:dd:dd:840f
662c19:dd:c25:c25:dd:dd:dd:8410/1242c19:dd:c25:c25:dd:dd:dd:841f
672c19:dd:c25:c25:dd:dd:dd:8420/1242c19:dd:c25:c25:dd:dd:dd:842f
682c19:dd:c25:c25:dd:dd:dd:8430/1242c19:dd:c25:c25:dd:dd:dd:843f
692c19:dd:c25:c25:dd:dd:dd:8440/1242c19:dd:c25:c25:dd:dd:dd:844f
702c19:dd:c25:c25:dd:dd:dd:8450/1242c19:dd:c25:c25:dd:dd:dd:845f
712c19:dd:c25:c25:dd:dd:dd:8460/1242c19:dd:c25:c25:dd:dd:dd:846f
722c19:dd:c25:c25:dd:dd:dd:8470/1242c19:dd:c25:c25:dd:dd:dd:847f
732c19:dd:c25:c25:dd:dd:dd:8480/1242c19:dd:c25:c25:dd:dd:dd:848f
742c19:dd:c25:c25:dd:dd:dd:8490/1242c19:dd:c25:c25:dd:dd:dd:849f
752c19:dd:c25:c25:dd:dd:dd:84a0/1242c19:dd:c25:c25:dd:dd:dd:84af
762c19:dd:c25:c25:dd:dd:dd:84b0/1242c19:dd:c25:c25:dd:dd:dd:84bf
772c19:dd:c25:c25:dd:dd:dd:84c0/1242c19:dd:c25:c25:dd:dd:dd:84cf
782c19:dd:c25:c25:dd:dd:dd:84d0/1242c19:dd:c25:c25:dd:dd:dd:84df
792c19:dd:c25:c25:dd:dd:dd:84e0/1242c19:dd:c25:c25:dd:dd:dd:84ef
802c19:dd:c25:c25:dd:dd:dd:84f0/1242c19:dd:c25:c25:dd:dd:dd:84ff
812c19:dd:c25:c25:dd:dd:dd:8500/1242c19:dd:c25:c25:dd:dd:dd:850f
822c19:dd:c25:c25:dd:dd:dd:8510/1242c19:dd:c25:c25:dd:dd:dd:851f
832c19:dd:c25:c25:dd:dd:dd:8520/1242c19:dd:c25:c25:dd:dd:dd:852f
842c19:dd:c25:c25:dd:dd:dd:8530/1242c19:dd:c25:c25:dd:dd:dd:853f
852c19:dd:c25:c25:dd:dd:dd:8540/1242c19:dd:c25:c25:dd:dd:dd:854f
862c19:dd:c25:c25:dd:dd:dd:8550/1242c19:dd:c25:c25:dd:dd:dd:855f
872c19:dd:c25:c25:dd:dd:dd:8560/1242c19:dd:c25:c25:dd:dd:dd:856f
882c19:dd:c25:c25:dd:dd:dd:8570/1242c19:dd:c25:c25:dd:dd:dd:857f
892c19:dd:c25:c25:dd:dd:dd:8580/1242c19:dd:c25:c25:dd:dd:dd:858f
902c19:dd:c25:c25:dd:dd:dd:8590/1242c19:dd:c25:c25:dd:dd:dd:859f
912c19:dd:c25:c25:dd:dd:dd:85a0/1242c19:dd:c25:c25:dd:dd:dd:85af
922c19:dd:c25:c25:dd:dd:dd:85b0/1242c19:dd:c25:c25:dd:dd:dd:85bf
932c19:dd:c25:c25:dd:dd:dd:85c0/1242c19:dd:c25:c25:dd:dd:dd:85cf
942c19:dd:c25:c25:dd:dd:dd:85d0/1242c19:dd:c25:c25:dd:dd:dd:85df
952c19:dd:c25:c25:dd:dd:dd:85e0/1242c19:dd:c25:c25:dd:dd:dd:85ef
962c19:dd:c25:c25:dd:dd:dd:85f0/1242c19:dd:c25:c25:dd:dd:dd:85ff
972c19:dd:c25:c25:dd:dd:dd:8600/1242c19:dd:c25:c25:dd:dd:dd:860f
982c19:dd:c25:c25:dd:dd:dd:8610/1242c19:dd:c25:c25:dd:dd:dd:861f
992c19:dd:c25:c25:dd:dd:dd:8620/1242c19:dd:c25:c25:dd:dd:dd:862f
1002c19:dd:c25:c25:dd:dd:dd:8630/1242c19:dd:c25:c25:dd:dd:dd:863f
1012c19:dd:c25:c25:dd:dd:dd:8640/1242c19:dd:c25:c25:dd:dd:dd:864f
1022c19:dd:c25:c25:dd:dd:dd:8650/1242c19:dd:c25:c25:dd:dd:dd:865f
1032c19:dd:c25:c25:dd:dd:dd:8660/1242c19:dd:c25:c25:dd:dd:dd:866f
1042c19:dd:c25:c25:dd:dd:dd:8670/1242c19:dd:c25:c25:dd:dd:dd:867f
1052c19:dd:c25:c25:dd:dd:dd:8680/1242c19:dd:c25:c25:dd:dd:dd:868f
1062c19:dd:c25:c25:dd:dd:dd:8690/1242c19:dd:c25:c25:dd:dd:dd:869f
1072c19:dd:c25:c25:dd:dd:dd:86a0/1242c19:dd:c25:c25:dd:dd:dd:86af
1082c19:dd:c25:c25:dd:dd:dd:86b0/1242c19:dd:c25:c25:dd:dd:dd:86bf
1092c19:dd:c25:c25:dd:dd:dd:86c0/1242c19:dd:c25:c25:dd:dd:dd:86cf
1102c19:dd:c25:c25:dd:dd:dd:86d0/1242c19:dd:c25:c25:dd:dd:dd:86df
1112c19:dd:c25:c25:dd:dd:dd:86e0/1242c19:dd:c25:c25:dd:dd:dd:86ef
1122c19:dd:c25:c25:dd:dd:dd:86f0/1242c19:dd:c25:c25:dd:dd:dd:86ff
1132c19:dd:c25:c25:dd:dd:dd:8700/1242c19:dd:c25:c25:dd:dd:dd:870f
1142c19:dd:c25:c25:dd:dd:dd:8710/1242c19:dd:c25:c25:dd:dd:dd:871f
1152c19:dd:c25:c25:dd:dd:dd:8720/1242c19:dd:c25:c25:dd:dd:dd:872f
1162c19:dd:c25:c25:dd:dd:dd:8730/1242c19:dd:c25:c25:dd:dd:dd:873f
1172c19:dd:c25:c25:dd:dd:dd:8740/1242c19:dd:c25:c25:dd:dd:dd:874f
1182c19:dd:c25:c25:dd:dd:dd:8750/1242c19:dd:c25:c25:dd:dd:dd:875f
1192c19:dd:c25:c25:dd:dd:dd:8760/1242c19:dd:c25:c25:dd:dd:dd:876f
1202c19:dd:c25:c25:dd:dd:dd:8770/1242c19:dd:c25:c25:dd:dd:dd:877f
1212c19:dd:c25:c25:dd:dd:dd:8780/1242c19:dd:c25:c25:dd:dd:dd:878f
1222c19:dd:c25:c25:dd:dd:dd:8790/1242c19:dd:c25:c25:dd:dd:dd:879f
1232c19:dd:c25:c25:dd:dd:dd:87a0/1242c19:dd:c25:c25:dd:dd:dd:87af
1242c19:dd:c25:c25:dd:dd:dd:87b0/1242c19:dd:c25:c25:dd:dd:dd:87bf
1252c19:dd:c25:c25:dd:dd:dd:87c0/1242c19:dd:c25:c25:dd:dd:dd:87cf
1262c19:dd:c25:c25:dd:dd:dd:87d0/1242c19:dd:c25:c25:dd:dd:dd:87df
1272c19:dd:c25:c25:dd:dd:dd:87e0/1242c19:dd:c25:c25:dd:dd:dd:87ef
1282c19:dd:c25:c25:dd:dd:dd:87f0/1242c19:dd:c25:c25:dd:dd:dd:87ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses